Subject: WG Action: Next Generation Structure of Management Informatio (sming)

From: The IESG <[email-masked]>
Date: Wed, 15 Nov 2000 12:42:07 -0500

A new working group has been formed in the Operations and Management Area
of the IETF. For additional information, contact the Area Directors
or the WG Chairs.

Next Generation Structure of Management Informatio (sming)
----------------------------------------------------------

 Current Status: Active Working Group
 
 Chair(s):
     David Durham <[email-masked]>
 
 Operations and Management Area Director(s): 
     Randy Bush  <[email-masked]>
     Bert Wijnen  <[email-masked]>
 
 Operations and Management Area Advisor: 
     Bert Wijnen  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       (un)subscribe sming
     Archive:           ftp://ops.ietf.org/pub/lists/sming*
 
Description of Working Group:
 
This working group shall develop a standards-track specification for
the next generation data definition language for specifying network
management data.  As a starting point, the WG will use the SMIng
language developed in the IRTF Network Management Research Group.
SMIng represents a superset of the SMIv2 (Structure of Management
Information v2) and the SPPI (Structure of Policy Provisioning
Information).  The objective is to replace both the SMIv2 and the
SPPI with a single, merged language as the data definition language
for the monitoring, configuration, and provisioning of network
devices.

The language developed will enable the modeling of network
management  information in a manner that provides the benefits of
object-oriented design.  To achieve this, the language must allow
the design of highly reusable syntactic/semantic components
(templates) that can be reused by multiple IETF working groups for
convenience, consistency, and to maximize interoperability in device
management. A registration mechanism will also be described for
reusable components defined using the language so that their
existence and purpose may be archived.

The language will provide for the definition of a transport-independent 
model so as to allow a variety of implementation-specific technologies 
to be derived from a single definition.  To demonstrate this, the 
working group will define two technology specific transport mappings: 
one for SNMP, and one for COPS.

The language will also provide:

 - syntax optimized for parseability, human readability, and
   non-redundancy- conventions for representing inheritance and
   containment of defined data

 - enhanced attribute-level and association-level constraints

 - a maximal amount of machine-parseable syntax so that
   programmatic tools can aid in modeling and implementation

 - a language extension capability

This working group will also define typical usage scenarios for
the language and highlight its features.  Finally, it will
develop  a framework by which reusable components specified
using this language can be registered and made readily
available for continued reuse and improvement.

The working group will not define models for specific
technologies, except as required for illustrative examples.
Specific models are to be developed by the subject matter
experts using the SMIng in the appropriate technology
specific WGs.
 
 Goals and Milestones: 

   Nov 00       IRTF documents complete & submitted to IETF                    

   Dec 00       First IETF WG meeting                                          

   Feb 01       Submit Revised I-Ds including requirements I-D                 

   Mar 01       Meet at 50th IETF                                              

   Apr 01       Submit revised I-D for requirements document                   

   May 01       WG Last Call on requirements document as Informational RFC     

   Jun 01       Submit revised I-D for Data Definition Language and Usage 
                document                                                       

   Aug 01       Meet at 51st IETF                                              

   Sep 01       WG Last Call on Data Definition Language (syntax) documents as 
                PS                                                             

   Sep 01       WG Last Call on Usage document as Informational RFC            

   Oct 01       Revised I-D for Mapping documents for SNMP and COPS            

   Nov 01       WG Last Call on Mapping documents for SNMP and COPS as PS      

   Nov 01       Registrar framework defined for reusable components as an I-D  

   Dec 01       Meet at 52nd IETF                                              

   Feb 02       Last call on Registrar Framework document as Informational RFC 

   Mar 02       Meet at 53rd IETF                                              

   Mar 02       Working Group closes